# HyperCOG chaincode

Traceblock's chaincode adaptation for HyperCOG

### Downloading dependencies

```bash
go mod tidy
go mod vendor # Needed to deploy it in Fabric!
```

### Upgrading dependencies

Whenever a dependency changes, follow this procedure:

1. Remove _go.sum_ and _vendor/_
1. Update _go.mod_ removing the line with the dependency to be updated.
   For example:

```diff
- 	git.code.tecnalia.com/traceblock/sdk v1.0.1-0.20210727080501-97ab90167e9b
```

1. Download the specific version (_go.mod_ must have been updated afterwards):

```bash
# Or in prior golang versions:
# go get github.com/someone/some_module@af044c0995fe
# go get github.com/someone/some_module@branch-name
go get -d git.code.tecnalia.com/traceblock/sdk@97ab90167e9b4ef2e7e156aa6d783761dbe3aa89
```

1. Download all dependencies again (see [previous section](#upgrading-dependencies))
