/**
 * status_test.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package constants

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

// go test -v constants/*

func TestCheckStatus(t *testing.T) {
	t.Run("valid", testCheckStatusValid)
	t.Run("invalid", testCheckStatusInvalid)
}

func testCheckStatusValid(t *testing.T) {
	assert.True(t, IsValidStatus("slag"))
	assert.True(t, IsValidStatus("batched"))
	assert.True(t, IsValidStatus("stocked"))
	assert.True(t, IsValidStatus("sold"))
	assert.True(t, IsValidStatus("discarded"))
}

func testCheckStatusInvalid(t *testing.T) {
	assert.False(t, IsValidStatus("invalid"))
}