/**
 * types.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package constants

var WasteTypes = map[string]string{
    "10": "10 - Wastes from thermal processes",
    "11": "11 - Wastes from chemical surface treatment and coating of metals and other materials; non-ferrous hydro-metallurgy",
    "12": "12 - Wastes from shaping and physical and mechanical surface treatment of metals and plastics",
    "13": "13 - Oil wastes and wastes of liquid fuels (except edible oils, and those in chapters 05, 12 and 19)",
    "14": "14 - Waste organic solvents, refrigerants and propellants (except 07 and 08)",
    "15": "15 - Waste packaging; absorbents, wiping cloths, filter materials and protective clothing not otherwise specified",
    "16": "16 - Wastes not otherwise specified in the list",
    "17": "17 - Construction and demolition wastes (including excavated soil from contaminated sites)",
    "18": "18 - Wastes from human or animal health care and/or related research (except kitchen and restaurant wastes not arising from immediate health care)",
    "19": "19 - Wastes from waste management facilities, off-site waste water treatment plants and the preparation of water intended for human consumption and water for industrial use",
    "20": "20 - Municipal wastes (household waste and similar commercial, industrial and institutional wastes) including separately collected fractions",
    "1001": "1001 - Wastes from power stations and other combustion plants (except 19)",
    "1002": "1002 - Wastes from the iron and steel industry",
    "1003": "1003 - Wastes from aluminium thermal metallurgy",
    "1004": "1004 - Wastes from lead thermal metallurgy",
    "1005": "1005 - Wastes from zinc thermal metallurgy",
    "1006": "1006 - Wastes from copper thermal metallurgy",
    "1007": "1007 - Wastes from silver, gold and platinum thermal metallurgy",
    "1008": "1008 - Wastes from other non-ferrous thermal metallurgy",
    "1009": "1009 - Wastes from casting of ferrous pieces",
    "1010": "1010 - Wastes from casting of non-ferrous pieces",
    "1011": "1011 - Wastes from manufacture of glass and glass products",
    "1012": "1012 - Wastes from manufacture of ceramic goods, bricks, tiles and construction products",
    "1013": "1013 - Wastes from manufacture of cement, lime and plaster and articles and products made from them",
    "1014": "1014 - Waste from crematoria",
    "1101": "1101 - Wastes from chemical surface treatment and coating of metals and other materials (for example galvanic processes, zinc coating processes, pickling processes, etching, phosphating, alkaline degreasing, anodising)",
    "1102": "1102 - Wastes from non-ferrous hydrometallurgical processes",
    "1103": "1103 - Sludges and solids from tempering processes",
    "1105": "1105 - Wastes from hot galvanising processes",
    "1201": "1201 - Wastes from shaping and physical and mechanical surface treatment of metals and plastics",
    "1203": "1203 - Wastes from water and steam degreasing processes (except 11)",
    "1301": "1301 - Waste hydraulic oils",
    "1302": "1302 - Waste engine, gear and lubricating oils",
    "1303": "1303 - Waste insulating and heat transmission oils",
    "1304": "1304 - Bilge oils",
    "1305": "1305 - Oil/water separator contents",
    "1307": "1307 - Wastes of liquid fuels",
    "1308": "1308 - Oil wastes not otherwise specified",
    "1406": "1406 - Waste organic solvents, refrigerants and foam/aerosol propellants",
    "1501": "1501 - Packaging (including separately collected municipal packaging waste)",
    "1502": "1502 - Absorbents, filter materials, wiping cloths and protective clothing",
    "1601": "1601 - End-of-life vehicles from different means of transport (including off-road machinery) and wastes from dismantling of end-of-life vehicles and vehicle maintenance (except 13, 14, 16 06 and 16 08)",
    "1602": "1602 - Wastes from electrical and electronic equipment",
    "1603": "1603 - Off-specification batches and unused products",
    "1604": "1604 - Waste explosives",
    "1605": "1605 - Gases in pressure containers and discarded chemicals",
    "1606": "1606 - Batteries and accumulators",
    "1607": "1607 - Wastes from transport tank, storage tank and barrel cleaning (except 05 and 13)",
    "1608": "1608 - Spent catalysts",
    "1609": "1609 - Oxidising substances",
    "1610": "1610 - Aqueous liquid wastes destined for off-site treatment",
    "1611": "1611 - Waste linings and refractories",
    "1701": "1701 - Concrete, bricks, tiles and ceramics",
    "1702": "1702 - Wood, glass and plastic",
    "1703": "1703 - Bituminous mixtures, coal tar and tarred products",
    "1704": "1704 - Metals (including their alloys)",
    "1705": "1705 - Soil (including excavated soil from contaminated sites), stones and dredging spoil",
    "1706": "1706 - Insulation materials and asbestos-containing construction materials",
    "1708": "1708 - Gypsum-based construction material",
    "1709": "1709 - Other construction and demolition wastes",
    "1801": "1801 - Wastes from natal care, diagnosis, treatment or prevention of disease in humans",
    "1802": "1802 - Wastes from research, diagnosis, treatment or prevention of disease involving animals",
    "1901": "1901 - Wastes from incineration or pyrolysis of waste",
    "1902": "1902 - Wastes from physico/chemical treatments of waste (including dechromatation, decyanidation, neutralisation)",
    "1903": "1903 - Stabilised/solidified wastes",
    "1904": "1904 - Vitrified waste and wastes from vitrification",
    "1905": "1905 - Wastes from aerobic treatment of solid wastes",
    "1906": "1906 - Wastes from anaerobic treatment of waste",
    "1907": "1907 - Landfill leachate",
    "1908": "1908 - Wastes from waste water treatment plants not otherwise specified",
    "1909": "1909 - Wastes from the preparation of water intended for human consumption or water for industrial use",
    "1910": "1910 - Wastes from shredding of metal-containing wastes",
    "1911": "1911 - Wastes from oil regeneration",
    "1912": "1912 - Wastes from the mechanical treatment of waste (for example sorting, crushing, compacting, pelletising) not otherwise specified",
    "1913": "1913 - Wastes from soil and groundwater remediation",
    "2001": "2001 - Separately collected fractions (except 15 01)",
    "2002": "2002 - Garden and park wastes (including cemetery waste)",
    "2003": "2003 - Other municipal wastes",
    "100101": "100101 - Bottom ash, slag and boiler dust (excluding boiler dust mentioned in 10 01 04)",
    "100102": "100102 - Coal fly ash",
    "100103": "100103 - Fly ash from peat and untreated wood",
    "100104": "100104 - Oil fly ash and boiler dust",
    "100105": "100105 - Calcium-based reaction wastes from flue-gas desulphurisation in solid form",
    "100107": "100107 - Calcium-based reaction wastes from flue-gas desulphurisation in sludge form",
    "100109": "100109 - Sulphuric acid",
    "100113": "100113 - Fly ash from emulsified hydrocarbons used as fuel",
    "100114": "100114 - Bottom ash, slag and boiler dust from co-incineration containing hazardous substances",
    "100115": "100115 - Bottom ash, slag and boiler dust from co-incineration other than those mentioned in 10 01 14",
    "100116": "100116 - Fly ash from co-incineration containing hazardous substances",
    "100117": "100117 - Fly ash from co-incineration other than those mentioned in 10 01 16",
    "100118": "100118 - Wastes from gas cleaning containing hazardous substances",
    "100119": "100119 - Wastes from gas cleaning other than those mentioned in 10 01 05, 10 01 07 and 10 01 18",
    "100120": "100120 - Sludges from on-site effluent treatment containing hazardous substances",
    "100121": "100121 - Sludges from on-site effluent treatment other than those mentioned in 10 01 20",
    "100122": "100122 - Aqueous sludges from boiler cleansing containing hazardous substances",
    "100123": "100123 - Aqueous sludges from boiler cleansing other than those mentioned in 10 01 22",
    "100124": "100124 - Sands from fluidised beds",
    "100125": "100125 - Wastes from fuel storage and preparation of coal-fired power plants",
    "100126": "100126 - Wastes from cooling-water treatment",
    "100199": "100199 - Wastes not otherwise specified",
    "100201": "100201 - Wastes from the processing of slag",
    "100202": "100202 - Unprocessed slag",
    "100207": "100207 - Solid wastes from gas treatment containing hazardous substances",
    "100208": "100208 - Solid wastes from gas treatment other than those mentioned in 10 02 07",
    "100210": "100210 - Mill scales",
    "100211": "100211 - Wastes from cooling-water treatment containing oil",
    "100212": "100212 - Wastes from cooling-water treatment other than those mentioned in 10 02 11",
    "100213": "100213 - Sludges and filter cakes from gas treatment containing hazardous substances",
    "100214": "100214 - Sludges and filter cakes from gas treatment other than those mentioned in 10 02 13",
    "100215": "100215 - Other sludges and filter cakes",
    "100299": "100299 - Wastes not otherwise specified",
    "100302": "100302 - Anode scraps",
    "100304": "100304 - Primary production slags",
    "100305": "100305 - Waste alumina",
    "100308": "100308 - Salt slags from secondary production",
    "100309": "100309 - Black drosses from secondary production",
    "100315": "100315 - Skimmings that are flammable or emit, upon contact with water, flammable gases in hazardous quantities",
    "100316": "100316 - Skimmings other than those mentioned in 10 03 15",
    "100317": "100317 - Tar-containing wastes from anode manufacture",
    "100318": "100318 - Carbon-containing wastes from anode manufacture other than those mentioned in 10 03 17",
    "100319": "100319 - Flue-gas dust containing hazardous substances",
    "100320": "100320 - Flue-gas dust other than those mentioned in 10 03 19",
    "100321": "100321 - Other particulates and dust (including ball-mill dust) containing hazardous substances",
    "100322": "100322 - Other particulates and dust (including ball-mill dust) other than those mentioned in 10 03 21",
    "100323": "100323 - Solid wastes from gas treatment containing hazardous substances",
    "100324": "100324 - Solid wastes from gas treatment other than those mentioned in 10 03 23",
    "100325": "100325 - Sludges and filter cakes from gas treatment containing hazardous substances",
    "100326": "100326 - Sludges and filter cakes from gas treatment other than those mentioned in 10 03 25",
    "100327": "100327 - Wastes from cooling-water treatment containing oil",
    "100328": "100328 - Wastes from cooling-water treatment other than those mentioned in 10 03 27",
    "100329": "100329 - Wastes from treatment of salt slags and black drosses containing hazardous substances",
    "100330": "100330 - Wastes from treatment of salt slags and black drosses other than those mentioned in 10 03 29",
    "100399": "100399 - Wastes not otherwise specified",
    "100401": "100401 - Slags from primary and secondary production",
    "100402": "100402 - Dross and skimmings from primary and secondary production",
    "100403": "100403 - Calcium arsenate",
    "100404": "100404 - Flue-gas dust",
    "100405": "100405 - Other particulates and dust",
    "100406": "100406 - Solid wastes from gas treatment",
    "100407": "100407 - Sludges and filter cakes from gas treatment",
    "100409": "100409 - Wastes from cooling-water treatment containing oil",
    "100410": "100410 - Wastes from cooling-water treatment other than those mentioned in 10 04 09",
    "100499": "100499 - Wastes not otherwise specified",
    "100501": "100501 - Slags from primary and secondary production",
    "100503": "100503 - Flue-gas dust",
    "100504": "100504 - Other particulates and dust",
    "100505": "100505 - Solid waste from gas treatment",
    "100506": "100506 - Sludges and filter cakes from gas treatment",
    "100508": "100508 - Wastes from cooling-water treatment containing oil",
    "100509": "100509 - Wastes from cooling-water treatment other than those mentioned in 10 05 08",
    "100510": "100510 - Dross and skimmings that are flammable or emit, upon contact with water, flammable gases in hazardous quantities",
    "100511": "100511 - Dross and skimmings other than those mentioned in 10 05 10",
    "100599": "100599 - Wastes not otherwise specified",
    "100601": "100601 - Slags from primary and secondary production",
    "100602": "100602 - Dross and skimmings from primary and secondary production",
    "100603": "100603 - Flue-gas dust",
    "100604": "100604 - Other particulates and dust",
    "100606": "100606 - Solid wastes from gas treatment",
    "100607": "100607 - Sludges and filter cakes from gas treatment",
    "100609": "100609 - Wastes from cooling-water treatment containing oil",
    "100610": "100610 - Wastes from cooling-water treatment other than those mentioned in 10 06 09",
    "100699": "100699 - Wastes not otherwise specified",
    "100701": "100701 - Slags from primary and secondary production",
    "100702": "100702 - Dross and skimmings from primary and secondary production",
    "100703": "100703 - Solid wastes from gas treatment",
    "100704": "100704 - Other particulates and dust",
    "100705": "100705 - Sludges and filter cakes from gas treatment",
    "100707": "100707 - Wastes from cooling-water treatment containing oil",
    "100708": "100708 - Wastes from cooling-water treatment other than those mentioned in 10 07 07",
    "100799": "100799 - Wastes not otherwise specified",
    "100804": "100804 - Particulates and dust",
    "100808": "100808 - Salt slag from primary and secondary production",
    "100809": "100809 - Other slags",
    "100810": "100810 - Dross and skimmings that are flammable or emit, upon contact with water, flammable gases in hazardous quantities",
    "100811": "100811 - Dross and skimmings other than those mentioned in 10 08 10",
    "100812": "100812 - Tar-containing wastes from anode manufacture",
    "100813": "100813 - Carbon-containing wastes from anode manufacture other than those mentioned in 10 08 12",
    "100814": "100814 - Anode scrap",
    "100815": "100815 - Flue-gas dust containing hazardous substances",
    "100816": "100816 - Flue-gas dust other than those mentioned in 10 08 15",
    "100817": "100817 - Sludges and filter cakes from flue-gas treatment containing hazardous substances",
    "100818": "100818 - Sludges and filter cakes from flue-gas treatment other than those mentioned in 10 08 17",
    "100819": "100819 - Wastes from cooling-water treatment containing oil",
    "100820": "100820 - Wastes from cooling-water treatment other than those mentioned in 10 08 19",
    "100899": "100899 - Wastes not otherwise specified",
    "100903": "100903 - Furnace slag",
    "100905": "100905 - Casting cores and moulds which have not undergone pouring containing hazardous substances",
    "100906": "100906 - Casting cores and moulds which have not undergone pouring other than those mentioned in 10 09 05",
    "100907": "100907 - Casting cores and moulds which have undergone pouring containing hazardous substances",
    "100908": "100908 - Casting cores and moulds which have undergone pouring other than those mentioned in 10 09 07",
    "100909": "100909 - Flue-gas dust containing hazardous substances",
    "100910": "100910 - Flue-gas dust other than those mentioned in 10 09 09",
    "100911": "100911 - Other particulates containing hazardous substances",
    "100912": "100912 - Other particulates other than those mentioned in 10 09 11",
    "100913": "100913 - Waste binders containing hazardous substances",
    "100914": "100914 - Waste binders other than those mentioned in 10 09 13",
    "100915": "100915 - Waste crack-indicating agent containing hazardous substances",
    "100916": "100916 - Waste crack-indicating agent other than those mentioned in 10 09 15",
    "100999": "100999 - Wastes not otherwise specified",
    "101003": "101003 - Furnace slag",
    "101005": "101005 - Casting cores and moulds which have not undergone pouring, containing hazardous substances",
    "101006": "101006 - Casting cores and moulds which have not undergone pouring, other than those mentioned in 10 10 05",
    "101007": "101007 - Casting cores and moulds which have undergone pouring, containing hazardous substances",
    "101008": "101008 - Casting cores and moulds which have undergone pouring, other than those mentioned in 10 10 07",
    "101009": "101009 - Flue-gas dust containing hazardous substances",
    "101010": "101010 - Flue-gas dust other than those mentioned in 10 10 09",
    "101011": "101011 - Other particulates containing hazardous substances",
    "101012": "101012 - Other particulates other than those mentioned in 10 10 11",
    "101013": "101013 - Waste binders containing hazardous substances",
    "101014": "101014 - Waste binders other than those mentioned in 10 10 13",
    "101015": "101015 - Waste crack-indicating agent containing hazardous substances",
    "101016": "101016 - Waste crack-indicating agent other than those mentioned in 10 10 15",
    "101099": "101099 - Wastes not otherwise specified",
    "101103": "101103 - Waste glass-based fibrous materials",
    "101105": "101105 - Particulates and dust",
    "101109": "101109 - Waste preparation mixture before thermal processing, containing hazardous substances",
    "101110": "101110 - Waste preparation mixture before thermal processing, other than those mentioned in 10 11 09",
    "101111": "101111 - Waste glass in small particles and glass powder containing heavy metals (for example from cathode ray tubes)",
    "101112": "101112 - Waste glass other than those mentioned in 10 11 11",
    "101113": "101113 - Glass-polishing and -grinding sludge containing hazardous substances",
    "101114": "101114 - Glass-polishing and -grinding sludge other than those mentioned in 10 11 13",
    "101115": "101115 - Solid wastes from flue-gas treatment containing hazardous substances",
    "101116": "101116 - Solid wastes from flue-gas treatment other than those mentioned in 10 11 15",
    "101117": "101117 - Sludges and filter cakes from flue-gas treatment containing hazardous substances",
    "101118": "101118 - Sludges and filter cakes from flue-gas treatment other than those mentioned in 10 11 17",
    "101119": "101119 - Solid wastes from on-site effluent treatment containing hazardous substances",
    "101120": "101120 - Solid wastes from on-site effluent treatment other than those mentioned in 10 11 19",
    "101199": "101199 - Wastes not otherwise specified",
    "101201": "101201 - Waste preparation mixture before thermal processing",
    "101203": "101203 - Particulates and dust",
    "101205": "101205 - Sludges and filter cakes from gas treatment",
    "101206": "101206 - Discarded moulds",
    "101208": "101208 - Waste ceramics, bricks, tiles and construction products (after thermal processing)",
    "101209": "101209 - Solid wastes from gas treatment containing hazardous substances",
    "101210": "101210 - Solid wastes from gas treatment other than those mentioned in 10 12 09",
    "101211": "101211 - Wastes from glazing containing heavy metals",
    "101212": "101212 - Wastes from glazing other than those mentioned in 10 12 11",
    "101213": "101213 - Sludge from on-site effluent treatment",
    "101299": "101299 - Wastes not otherwise specified",
    "101301": "101301 - Waste preparation mixture before thermal processing",
    "101304": "101304 - Wastes from calcination and hydration of lime",
    "101306": "101306 - Particulates and dust (except 10 13 12 and 10 13 13)",
    "101307": "101307 - Sludges and filter cakes from gas treatment",
    "101309": "101309 - Wastes from asbestos-cement manufacture containing asbestos",
    "101310": "101310 - Wastes from asbestos-cement manufacture other than those mentioned in 10 13 09",
    "101311": "101311 - Wastes from cement-based composite materials other than those mentioned in 10 13 09 and 10 13 10",
    "101312": "101312 - Solid wastes from gas treatment containing hazardous substances",
    "101313": "101313 - Solid wastes from gas treatment other than those mentioned in 10 13 12",
    "101314": "101314 - Waste concrete and concrete sludge",
    "101399": "101399 - Wastes not otherwise specified",
    "101401": "101401 - Waste from gas cleaning containing mercury",
    "110105": "110105 - Pickling acids",
    "110106": "110106 - Acids not otherwise specified",
    "110107": "110107 - Pickling bases",
    "110108": "110108 - Phosphatising sludges",
    "110109": "110109 - Sludges and filter cakes containing hazardous substances",
    "110110": "110110 - Sludges and filter cakes other than those mentioned in 11 01 09",
    "110111": "110111 - Aqueous rinsing liquids containing hazardous substances",
    "110112": "110112 - Aqueous rinsing liquids other than those mentioned in 11 01 11",
    "110113": "110113 - Degreasing wastes containing hazardous substances",
    "110114": "110114 - Degreasing wastes other than those mentioned in 11 01 13",
    "110115": "110115 - Eluate and sludges from membrane systems or ion exchange systems containing hazardous substances",
    "110116": "110116 - Saturated or spent ion exchange resins",
    "110198": "110198 - Other wastes containing hazardous substances",
    "110199": "110199 - Wastes not otherwise specified",
    "110202": "110202 - Sludges from zinc hydrometallurgy (including jarosite, goethite)",
    "110203": "110203 - Wastes from the production of anodes for aqueous electrolytical processes",
    "110205": "110205 - Wastes from copper hydrometallurgical processes containing hazardous substances",
    "110206": "110206 - Wastes from copper hydrometallurgical processes other than those mentioned in 11 02 05",
    "110207": "110207 - Other wastes containing hazardous substances",
    "110299": "110299 - Wastes not otherwise specified",
    "110301": "110301 - Wastes containing cyanide",
    "110302": "110302 - Other wastes",
    "110501": "110501 - Hard zinc",
    "110502": "110502 - Zinc ash",
    "110503": "110503 - Solid wastes from gas treatment",
    "110504": "110504 - Spent flux",
    "110599": "110599 - Wastes not otherwise specified",
    "120101": "120101 - Ferrous metal filings and turnings",
    "120102": "120102 - Ferrous metal dust and particles",
    "120103": "120103 - Non-ferrous metal filings and turnings",
    "120104": "120104 - Non-ferrous metal dust and particles",
    "120105": "120105 - Plastics shavings and turnings",
    "120106": "120106 - Mineral-based machining oils containing halogens (except emulsions and solutions)",
    "120107": "120107 - Mineral-based machining oils free of halogens (except emulsions and solutions)",
    "120108": "120108 - Machining emulsions and solutions containing halogens",
    "120109": "120109 - Machining emulsions and solutions free of halogens",
    "120110": "120110 - Synthetic machining oils",
    "120112": "120112 - Spent waxes and fats",
    "120113": "120113 - Welding wastes",
    "120114": "120114 - Machining sludges containing hazardous substances",
    "120115": "120115 - Machining sludges other than those mentioned in 12 01 14",
    "120116": "120116 - Waste blasting material containing hazardous substances",
    "120117": "120117 - Waste blasting material other than those mentioned in 12 01 16",
    "120118": "120118 - Metal sludge (grinding, honing and lapping sludge) containing oil",
    "120119": "120119 - Readily biodegradable machining oil",
    "120120": "120120 - Spent grinding bodies and grinding materials containing hazardous substances",
    "120121": "120121 - Spent grinding bodies and grinding materials other than those mentioned in 12 01 20",
    "120199": "120199 - Wastes not otherwise specified",
    "120301": "120301 - Aqueous washing liquids",
    "120302": "120302 - Steam degreasing wastes",
    "130101": "130101 - Hydraulic oils, containing pcbs",
    "130104": "130104 - Chlorinated emulsions",
    "130105": "130105 - Non-chlorinated emulsions",
    "130109": "130109 - Mineral-based chlorinated hydraulic oils",
    "130110": "130110 - Mineral based non-chlorinated hydraulic oils",
    "130111": "130111 - Synthetic hydraulic oils",
    "130112": "130112 - Readily biodegradable hydraulic oils",
    "130113": "130113 - Other hydraulic oils",
    "130204": "130204 - Mineral-based chlorinated engine, gear and lubricating oils",
    "130205": "130205 - Mineral-based non-chlorinated engine, gear and lubricating oils",
    "130206": "130206 - Synthetic engine, gear and lubricating oils",
    "130207": "130207 - Readily biodegradable engine, gear and lubricating oils",
    "130208": "130208 - Other engine, gear and lubricating oils",
    "130301": "130301 - Insulating or heat transmission oils containing pcbs",
    "130306": "130306 - Mineral-based chlorinated insulating and heat transmission oils other than those mentioned in 13 03 01",
    "130307": "130307 - Mineral-based non-chlorinated insulating and heat transmission oils",
    "130308": "130308 - Synthetic insulating and heat transmission oils",
    "130309": "130309 - Readily biodegradable insulating and heat transmission oils",
    "130310": "130310 - Other insulating and heat transmission oils",
    "130401": "130401 - Bilge oils from inland navigation",
    "130402": "130402 - Bilge oils from jetty sewers",
    "130403": "130403 - Bilge oils from other navigation",
    "130501": "130501 - Solids from grit chambers and oil/water separators",
    "130502": "130502 - Sludges from oil/water separators",
    "130503": "130503 - Interceptor sludges",
    "130506": "130506 - Oil from oil/water separators",
    "130507": "130507 - Oily water from oil/water separators",
    "130508": "130508 - Mixtures of wastes from grit chambers and oil/water separators",
    "130701": "130701 - Fuel oil and diesel",
    "130702": "130702 - Petrol",
    "130703": "130703 - Other fuels (including mixtures)",
    "130801": "130801 - Desalter sludges or emulsions",
    "130802": "130802 - Other emulsions",
    "130899": "130899 - Wastes not otherwise specified",
    "140601": "140601 - Chlorofluorocarbons, hcfc, hfc",
    "140602": "140602 - Other halogenated solvents and solvent mixtures",
    "140603": "140603 - Other solvents and solvent mixtures",
    "140604": "140604 - Sludges or solid wastes containing halogenated solvents",
    "140605": "140605 - Sludges or solid wastes containing other solvents",
    "150101": "150101 - Paper and cardboard packaging",
    "150102": "150102 - Plastic packaging",
    "150103": "150103 - Wooden packaging",
    "150104": "150104 - Metallic packaging",
    "150105": "150105 - Composite packaging",
    "150106": "150106 - Mixed packaging",
    "150107": "150107 - Glass packaging",
    "150109": "150109 - Textile packaging",
    "150110": "150110 - Packaging containing residues of or contaminated by hazardous substances",
    "150111": "150111 - Metallic packaging containing a hazardous solid porous matrix (for example asbestos), including empty pressure containers",
    "150202": "150202 - Absorbents, filter materials (including oil filters not otherwise specified), wiping cloths, protective clothing contaminated by hazardous substances",
    "150203": "150203 - Absorbents, filter materials, wiping cloths and protective clothing other than those mentioned in 15 02 02",
    "160103": "160103 - End-of-life tyres",
    "160104": "160104 - End-of-life vehicles",
    "160106": "160106 - End-of-life vehicles, containing neither liquids nor other hazardous components",
    "160107": "160107 - Oil filters",
    "160108": "160108 - Components containing mercury",
    "160109": "160109 - Components containing pcbs",
    "160110": "160110 - Explosive components (for example air bags)",
    "160111": "160111 - Brake pads containing asbestos",
    "160112": "160112 - Brake pads other than those mentioned in 16 01 11",
    "160113": "160113 - Brake fluids",
    "160114": "160114 - Antifreeze fluids containing hazardous substances",
    "160115": "160115 - Antifreeze fluids other than those mentioned in 16 01 14",
    "160116": "160116 - Tanks for liquefied gas",
    "160117": "160117 - Ferrous metal",
    "160118": "160118 - Non-ferrous metal",
    "160119": "160119 - Plastic",
    "160120": "160120 - Glass",
    "160121": "160121 - Hazardous components other than those mentioned in 16 01 07 to 16 01 11 and 16 01 13 and 16 01 14",
    "160122": "160122 - Components not otherwise specified",
    "160199": "160199 - Wastes not otherwise specified",
    "160209": "160209 - Transformers and capacitors containing pcbs",
    "160210": "160210 - Discarded equipment containing or contaminated by pcbs other than those mentioned in 16 02 09",
    "160211": "160211 - Discarded equipment containing chlorofluorocarbons, hcfc, hfc",
    "160212": "160212 - Discarded equipment containing free asbestos",
    "160213": "160213 - Discarded equipment containing hazardous components (3) other than those mentioned in 16 02 09 to 16 02 12",
    "160214": "160214 - Discarded equipment other than those mentioned in 16 02 09 to 16 02 13",
    "160215": "160215 - Hazardous components removed from discarded equipment",
    "160216": "160216 - Components removed from discarded equipment other than those mentioned in 16 02 15",
    "160303": "160303 - Inorganic wastes containing hazardous substances",
    "160304": "160304 - Inorganic wastes other than those mentioned in 16 03 03",
    "160305": "160305 - Organic wastes containing hazardous substances",
    "160306": "160306 - Organic wastes other than those mentioned in 16 03 05",
    "160307": "160307 - Metallic mercury",
    "160401": "160401 - Waste ammunition",
    "160402": "160402 - Fireworks wastes",
    "160403": "160403 - Other waste explosives",
    "160504": "160504 - Gases in pressure containers (including halons) containing hazardous substances",
    "160505": "160505 - Gases in pressure containers other than those mentioned in 16 05 04",
    "160506": "160506 - Laboratory chemicals, consisting of or containing hazardous substances, including mixtures of laboratory chemicals",
    "160507": "160507 - Discarded inorganic chemicals consisting of or containing hazardous substances",
    "160508": "160508 - Discarded organic chemicals consisting of or containing hazardous substances",
    "160509": "160509 - Discarded chemicals other than those mentioned in 16 05 06, 16 05 07 or 16 05 08",
    "160601": "160601 - Lead batteries",
    "160602": "160602 - Ni-cd batteries",
    "160603": "160603 - Mercury-containing batteries",
    "160604": "160604 - Alkaline batteries (except 16 06 03)",
    "160605": "160605 - Other batteries and accumulators",
    "160606": "160606 - Separately collected electrolyte from batteries and accumulators",
    "160708": "160708 - Wastes containing oil",
    "160709": "160709 - Wastes containing other hazardous substances",
    "160799": "160799 - Wastes not otherwise specified",
    "160801": "160801 - Spent catalysts containing gold, silver, rhenium, rhodium, palladium, iridium or platinum (except 16 08 07)",
    "160802": "160802 - Spent catalysts containing hazardous transition metals or hazardous transition metal compounds",
    "160803": "160803 - Spent catalysts containing transition metals or transition metal compounds not otherwise specified",
    "160804": "160804 - Spent fluid catalytic cracking catalysts (except 16 08 07)",
    "160805": "160805 - Spent catalysts containing phosphoric acid",
    "160806": "160806 - Spent liquids used as catalysts",
    "160807": "160807 - Spent catalysts contaminated with hazardous substances",
    "160901": "160901 - Permanganates, for example potassium permanganate",
    "160902": "160902 - Chromates, for example potassium chromate, potassium or sodium dichromate",
    "160903": "160903 - Peroxides, for example hydrogen peroxide",
    "160904": "160904 - Oxidising substances, not otherwise specified",
    "161001": "161001 - Aqueous liquid wastes containing hazardous substances",
    "161002": "161002 - Aqueous liquid wastes other than those mentioned in 16 10 01",
    "161003": "161003 - Aqueous concentrates containing hazardous substances",
    "161004": "161004 - Aqueous concentrates other than those mentioned in 16 10 03",
    "161101": "161101 - Carbon-based linings and refractories from metallurgical processes containing hazardous substances",
    "161102": "161102 - Carbon-based linings and refractories from metallurgical processes others than those mentioned in 16 11 01",
    "161103": "161103 - Other linings and refractories from metallurgical processes containing hazardous substances",
    "161104": "161104 - Other linings and refractories from metallurgical processes other than those mentioned in 16 11 03",
    "161105": "161105 - Linings and refractories from non-metallurgical processes containing hazardous substances",
    "161106": "161106 - Linings and refractories from non-metallurgical processes others than those mentioned in 16 11 05",
    "170101": "170101 - Concrete",
    "170102": "170102 - Bricks",
    "170103": "170103 - Tiles and ceramics",
    "170106": "170106 - Mixtures of, or separate fractions of concrete, bricks, tiles and ceramics containing hazardous substances",
    "170107": "170107 - Mixtures of concrete, bricks, tiles and ceramics other than those mentioned in 17 01 06",
    "170201": "170201 - Wood",
    "170202": "170202 - Glass",
    "170203": "170203 - Plastic",
    "170204": "170204 - Glass, plastic and wood containing or contaminated with hazardous substances",
    "170301": "170301 - Bituminous mixtures containing coal tar",
    "170302": "170302 - Bituminous mixtures other than those mentioned in 17 03 01",
    "170303": "170303 - Coal tar and tarred products",
    "170401": "170401 - Copper, bronze, brass",
    "170402": "170402 - Aluminium",
    "170403": "170403 - Lead",
    "170404": "170404 - Zinc",
    "170405": "170405 - Iron and steel",
    "170406": "170406 - Tin",
    "170407": "170407 - Mixed metals",
    "170409": "170409 - Metal waste contaminated with hazardous substances",
    "170410": "170410 - Cables containing oil, coal tar and other hazardous substances",
    "170411": "170411 - Cables other than those mentioned in 17 04 10",
    "170503": "170503 - Soil and stones containing hazardous substances",
    "170504": "170504 - Soil and stones other than those mentioned in 17 05 03",
    "170505": "170505 - Dredging spoil containing hazardous substances",
    "170506": "170506 - Dredging spoil other than those mentioned in 17 05 05",
    "170507": "170507 - Track ballast containing hazardous substances",
    "170508": "170508 - Track ballast other than those mentioned in 17 05 07",
    "170601": "170601 - Insulation materials containing asbestos",
    "170603": "170603 - Other insulation materials consisting of or containing hazardous substances",
    "170604": "170604 - Insulation materials other than those mentioned in 17 06 01 and 17 06 03",
    "170605": "170605 - Construction materials containing asbestos",
    "170801": "170801 - Gypsum-based construction materials contaminated with hazardous substances",
    "170802": "170802 - Gypsum-based construction materials other than those mentioned in 17 08 01",
    "170901": "170901 - Construction and demolition wastes containing mercury",
    "170902": "170902 - Construction and demolition wastes containing pcb (for example pcb-containing sealants, pcb-containing resin-based floorings, pcb-containing sealed glazing units, pcb-containing capacitors)",
    "170903": "170903 - Other construction and demolition wastes (including mixed wastes) containing hazardous substances",
    "170904": "170904 - Mixed construction and demolition wastes other than those mentioned in 17 09 01, 17 09 02 and 17 09 03",
    "180101": "180101 - Sharps (except 18 01 03)",
    "180102": "180102 - Body parts and organs including blood bags and blood preserves (except 18 01 03)",
    "180103": "180103 - Wastes whose collection and disposal is subject to special requirements in order to prevent infection",
    "180104": "180104 - Wastes whose collection and disposal is not subject to special requirements in order to prevent infection (for example dressings, plaster casts, linen, disposable clothing, diapers)",
    "180106": "180106 - Chemicals consisting of or containing hazardous substances",
    "180107": "180107 - Chemicals other than those mentioned in 18 01 06",
    "180108": "180108 - Cytotoxic and cytostatic medicines",
    "180109": "180109 - Medicines other than those mentioned in 18 01 08",
    "180110": "180110 - Amalgam waste from dental care",
    "180201": "180201 - Sharps (except 18 02 02)",
    "180202": "180202 - Wastes whose collection and disposal is subject to special requirements in order to prevent infection",
    "180203": "180203 - Wastes whose collection and disposal is not subject to special requirements in order to prevent infection",
    "180205": "180205 - Chemicals consisting of or containing hazardous substances",
    "180206": "180206 - Chemicals other than those mentioned in 18 02 05",
    "180207": "180207 - Cytotoxic and cytostatic medicines",
    "180208": "180208 - Medicines other than those mentioned in 18 02 07",
    "190102": "190102 - Ferrous materials removed from bottom ash",
    "190105": "190105 - Filter cake from gas treatment",
    "190106": "190106 - Aqueous liquid wastes from gas treatment and other aqueous liquid wastes",
    "190107": "190107 - Solid wastes from gas treatment",
    "190110": "190110 - Spent activated carbon from flue-gas treatment",
    "190111": "190111 - Bottom ash and slag containing hazardous substances",
    "190112": "190112 - Bottom ash and slag other than those mentioned in 19 01 11",
    "190113": "190113 - Fly ash containing hazardous substances",
    "190114": "190114 - Fly ash other than those mentioned in 19 01 13",
    "190115": "190115 - Boiler dust containing hazardous substances",
    "190116": "190116 - Boiler dust other than those mentioned in 19 01 15",
    "190117": "190117 - Pyrolysis wastes containing hazardous substances",
    "190118": "190118 - Pyrolysis wastes other than those mentioned in 19 01 17",
    "190119": "190119 - Sands from fluidised beds",
    "190199": "190199 - Wastes not otherwise specified",
    "190203": "190203 - Premixed wastes composed only of non-hazardous wastes",
    "190204": "190204 - Premixed wastes composed of at least one hazardous waste",
    "190205": "190205 - Sludges from physico/chemical treatment containing hazardous substances",
    "190206": "190206 - Sludges from physico/chemical treatment other than those mentioned in 19 02 05",
    "190207": "190207 - Oil and concentrates from separation",
    "190208": "190208 - Liquid combustible wastes containing hazardous substances",
    "190209": "190209 - Solid combustible wastes containing hazardous substances",
    "190210": "190210 - Combustible wastes other than those mentioned in 19 02 08 and 19 02 09",
    "190211": "190211 - Other wastes containing hazardous substances",
    "190299": "190299 - Wastes not otherwise specified",
    "190304": "190304 - Wastes marked as hazardous, partly stabilised other than 19 03 08",
    "190305": "190305 - Stabilised wastes other than those mentioned in 19 03 04",
    "190306": "190306 - Wastes marked as hazardous, solidified",
    "190307": "190307 - Solidified wastes other than those mentioned in 19 03 06",
    "190308": "190308 - Partly stabilised mercury",
    "190401": "190401 - Vitrified waste",
    "190402": "190402 - Fly ash and other flue-gas treatment wastes",
    "190403": "190403 - Non-vitrified solid phase",
    "190404": "190404 - Aqueous liquid wastes from vitrified waste tempering",
    "190501": "190501 - Non-composted fraction of municipal and similar wastes",
    "190502": "190502 - Non-composted fraction of animal and vegetable waste",
    "190503": "190503 - Off-specification compost",
    "190599": "190599 - Wastes not otherwise specified",
    "190603": "190603 - Liquor from anaerobic treatment of municipal waste",
    "190604": "190604 - Digestate from anaerobic treatment of municipal waste",
    "190605": "190605 - Liquor from anaerobic treatment of animal and vegetable waste",
    "190606": "190606 - Digestate from anaerobic treatment of animal and vegetable waste",
    "190699": "190699 - Wastes not otherwise specified",
    "190702": "190702 - Landfill leachate containing hazardous substances",
    "190703": "190703 - Landfill leachate other than those mentioned in 19 07 02",
    "190801": "190801 - Screenings",
    "190802": "190802 - Waste from desanding",
    "190805": "190805 - Sludges from treatment of urban waste water",
    "190806": "190806 - Saturated or spent ion exchange resins",
    "190807": "190807 - Solutions and sludges from regeneration of ion exchangers",
    "190808": "190808 - Membrane system waste containing heavy metals",
    "190809": "190809 - Grease and oil mixture from oil/water separation containing only edible oil and fats",
    "190810": "190810 - Grease and oil mixture from oil/water separation other than those mentioned in 19 08 09",
    "190811": "190811 - Sludges containing hazardous substances from biological treatment of industrial waste water",
    "190812": "190812 - Sludges from biological treatment of industrial waste water other than those mentioned in 19 08 11",
    "190813": "190813 - Sludges containing hazardous substances from other treatment of industrial waste water",
    "190814": "190814 - Sludges from other treatment of industrial waste water other than those mentioned in 19 08 13",
    "190899": "190899 - Wastes not otherwise specified",
    "190901": "190901 - Solid waste from primary filtration and screenings",
    "190902": "190902 - Sludges from water clarification",
    "190903": "190903 - Sludges from decarbonation",
    "190904": "190904 - Spent activated carbon",
    "190905": "190905 - Saturated or spent ion exchange resins",
    "190906": "190906 - Solutions and sludges from regeneration of ion exchangers",
    "190999": "190999 - Wastes not otherwise specified",
    "191001": "191001 - Iron and steel waste",
    "191002": "191002 - Non-ferrous waste",
    "191003": "191003 - Fluff-light fraction and dust containing hazardous substances",
    "191004": "191004 - Fluff-light fraction and dust other than those mentioned in 19 10 03",
    "191005": "191005 - Other fractions containing hazardous substances",
    "191006": "191006 - Other fractions other than those mentioned in 19 10 05",
    "191101": "191101 - Spent filter clays",
    "191102": "191102 - Acid tars",
    "191103": "191103 - Aqueous liquid wastes",
    "191104": "191104 - Wastes from cleaning of fuel with bases",
    "191105": "191105 - Sludges from on-site effluent treatment containing hazardous substances",
    "191106": "191106 - Sludges from on-site effluent treatment other than those mentioned in 19 11 05",
    "191107": "191107 - Wastes from flue-gas cleaning",
    "191199": "191199 - Wastes not otherwise specified",
    "191201": "191201 - Paper and cardboard",
    "191202": "191202 - Ferrous metal",
    "191203": "191203 - Non-ferrous metal",
    "191204": "191204 - Plastic and rubber",
    "191205": "191205 - Glass",
    "191206": "191206 - Wood containing hazardous substances",
    "191207": "191207 - Wood other than that mentioned in 19 12 06",
    "191208": "191208 - Textiles",
    "191209": "191209 - Minerals (for example sand, stones)",
    "191210": "191210 - Combustible waste (refuse derived fuel)",
    "191211": "191211 - Other wastes (including mixtures of materials) from mechanical treatment of waste containing hazardous substances",
    "191212": "191212 - Other wastes (including mixtures of materials) from mechanical treatment of wastes other than those mentioned in 19 12 11",
    "191301": "191301 - Solid wastes from soil remediation containing hazardous substances",
    "191302": "191302 - Solid wastes from soil remediation other than those mentioned in 19 13 01",
    "191303": "191303 - Sludges from soil remediation containing hazardous substances",
    "191304": "191304 - Sludges from soil remediation other than those mentioned in 19 13 03",
    "191305": "191305 - Sludges from groundwater remediation containing hazardous substances",
    "191306": "191306 - Sludges from groundwater remediation other than those mentioned in 19 13 05",
    "191307": "191307 - Aqueous liquid wastes and aqueous concentrates from groundwater remediation containing hazardous substances",
    "191308": "191308 - Aqueous liquid wastes and aqueous concentrates from groundwater remediation other than those mentioned in 19 13 07",
    "200101": "200101 - Paper and cardboard",
    "200102": "200102 - Glass",
    "200108": "200108 - Biodegradable kitchen and canteen waste",
    "200110": "200110 - Clothes",
    "200111": "200111 - Textiles",
    "200113": "200113 - Solvents",
    "200114": "200114 - Acids",
    "200115": "200115 - Alkalines",
    "200117": "200117 - Photochemicals",
    "200119": "200119 - Pesticides",
    "200121": "200121 - Fluorescent tubes and other mercury-containing waste",
    "200123": "200123 - Discarded equipment containing chlorofluorocarbons",
    "200125": "200125 - Edible oil and fat",
    "200126": "200126 - Oil and fat other than those mentioned in 20 01 25",
    "200127": "200127 - Paint, inks, adhesives and resins containing hazardous substances",
    "200128": "200128 - Paint, inks, adhesives and resins other than those mentioned in 20 01 27",
    "200129": "200129 - Detergents containing hazardous substances",
    "200130": "200130 - Detergents other than those mentioned in 20 01 29",
    "200131": "200131 - Cytotoxic and cytostatic medicines",
    "200132": "200132 - Medicines other than those mentioned in 20 01 31",
    "200133": "200133 - Batteries and accumulators included in 16 06 01, 16 06 02 or 16 06 03 and unsorted batteries and accumulators containing these batteries",
    "200134": "200134 - Batteries and accumulators other than those mentioned in 20 01 33",
    "200135": "200135 - Discarded electrical and electronic equipment other than those mentioned in 20 01 21 and 20 01 23 containing hazardous components (3)",
    "200136": "200136 - Discarded electrical and electronic equipment other than those mentioned in 20 01 21, 20 01 23 and 20 01 35",
    "200137": "200137 - Wood containing hazardous substances",
    "200138": "200138 - Wood other than that mentioned in 20 01 37",
    "200139": "200139 - Plastics",
    "200140": "200140 - Metals",
    "200141": "200141 - Wastes from chimney sweeping",
    "200199": "200199 - Other fractions not otherwise specified",
    "200201": "200201 - Biodegradable waste",
    "200202": "200202 - Soil and stones",
    "200203": "200203 - Other non-biodegradable wastes",
    "200301": "200301 - Mixed municipal waste",
    "200302": "200302 - Waste from markets",
    "200303": "200303 - Street-cleaning residues",
    "200304": "200304 - Septic tank sludge",
    "200306": "200306 - Waste from sewage cleaning",
    "200307": "200307 - Bulky waste",
    "200399": "200399 - Municipal wastes not otherwise specified",
    "01": "01 - Wastes resulting from exploration, mining, quarrying, and physical and chemical treatment of minerals",
    "0101": "0101 - Wastes from mineral excavation",
    "010101": "010101 - Wastes from mineral metalliferous excavation",
    "010102": "010102 - Wastes from mineral non-metalliferous excavation",
    "0103": "0103 - Wastes from physical and chemical processing of metalliferous minerals",
    "010304": "010304 - Acid-generating tailings from processing of sulphide ore",
    "010305": "010305 - Other tailings containing hazardous substances",
    "010306": "010306 - Tailings other than those mentioned in 01 03 04 and 01 03 05",
    "010307": "010307 - Other wastes containing hazardous substances from physical and chemical processing of metalliferous minerals",
    "010308": "010308 - Dusty and powdery wastes other than those mentioned in 01 03 07",
    "010309": "010309 - Red mud from alumina production other than the wastes mentioned in 01 03 10",
    "010310": "010310 - Red mud from alumina production containing hazardous substances other than the wastes mentioned in 01 03 07",
    "010399": "010399 - Wastes not otherwise specified",
    "0104": "0104 - Wastes from physical and chemical processing of non-metalliferous minerals",
    "010407": "010407 - Wastes containing hazardous substances from physical and chemical processing of non-metalliferous minerals",
    "010408": "010408 - Waste gravel and crushed rocks other than those mentioned in 01 04 07",
    "010409": "010409 - Waste sand and clays",
    "010410": "010410 - Dusty and powdery wastes other than those mentioned in 01 04 07",
    "010411": "010411 - Wastes from potash and rock salt processing other than those mentioned in 01 04 07",
    "010412": "010412 - Tailings and other wastes from washing and cleaning of minerals other than those mentioned in 01 04 07 and 01 04 11",
    "010413": "010413 - Wastes from stone cutting and sawing other than those mentioned in 01 04 07",
    "010499": "010499 - Wastes not otherwise specified",
    "0105": "0105 - Drilling muds and other drilling wastes",
    "010504": "010504 - Freshwater drilling muds and wastes",
    "010505": "010505 - Oil-containing drilling muds and wastes",
    "010506": "010506 - Drilling muds and other drilling wastes containing hazardous substances",
    "010507": "010507 - Barite-containing drilling muds and wastes other than those mentioned in 01 05 05 and 01 05 06",
    "010508": "010508 - Chloride-containing drilling muds and wastes other than those mentioned in 01 05 05 and 01 05 06",
    "010599": "010599 - Wastes not otherwise specified",
    "02": "02 - Wastes from agriculture, horticulture, aquaculture, forestry, hunting and fishing, food preparation and processing",
    "0201": "0201 - Wastes from agriculture, horticulture, aquaculture, forestry, hunting and fishing",
    "020101": "020101 - Sludges from washing and cleaning",
    "020102": "020102 - Animal-tissue waste",
    "020103": "020103 - Plant-tissue waste",
    "020104": "020104 - Waste plastics (except packaging)",
    "020106": "020106 - Animal faeces, urine and manure (including spoiled straw), effluent, collected separately and treated off-site",
    "020107": "020107 - Wastes from forestry",
    "020108": "020108 - Agrochemical waste containing hazardous substances",
    "020109": "020109 - Agrochemical waste other than those mentioned in 02 01 08",
    "020110": "020110 - Waste metal",
    "020199": "020199 - Wastes not otherwise specified",
    "0202": "0202 - Wastes from the preparation and processing of meat, fish and other foods of animal origin",
    "020201": "020201 - Sludges from washing and cleaning",
    "020202": "020202 - Animal-tissue waste",
    "020203": "020203 - Materials unsuitable for consumption or processing",
    "020204": "020204 - Sludges from on-site effluent treatment",
    "020299": "020299 - Wastes not otherwise specified",
    "0203": "0203 - Wastes from fruit, vegetables, cereals, edible oils, cocoa, coffee, tea and tobacco preparation and processing; conserve production; yeast and yeast extract production, molasses preparation and fermentation",
    "020301": "020301 - Sludges from washing, cleaning, peeling, centrifuging and separation",
    "020302": "020302 - Wastes from preserving agents",
    "020303": "020303 - Wastes from solvent extraction",
    "020304": "020304 - Materials unsuitable for consumption or processing",
    "020305": "020305 - Sludges from on-site effluent treatment",
    "020399": "020399 - Wastes not otherwise specified",
    "0204": "0204 - Wastes from sugar processing",
    "020401": "020401 - Soil from cleaning and washing beet",
    "020402": "020402 - Off-specification calcium carbonate",
    "020403": "020403 - Sludges from on-site effluent treatment",
    "020499": "020499 - Wastes not otherwise specified",
    "0205": "0205 - Wastes from the dairy products industry",
    "020501": "020501 - Materials unsuitable for consumption or processing",
    "020502": "020502 - Sludges from on-site effluent treatment",
    "020599": "020599 - Wastes not otherwise specified",
    "0206": "0206 - Wastes from the baking and confectionery industry",
    "020601": "020601 - Materials unsuitable for consumption or processing",
    "020602": "020602 - Wastes from preserving agents",
    "020603": "020603 - Sludges from on-site effluent treatment",
    "020699": "020699 - Wastes not otherwise specified",
    "0207": "0207 - Wastes from the production of alcoholic and non-alcoholic beverages (except coffee, tea and cocoa)",
    "020701": "020701 - Wastes from washing, cleaning and mechanical reduction of raw materials",
    "020702": "020702 - Wastes from spirits distillation",
    "020703": "020703 - Wastes from chemical treatment",
    "020704": "020704 - Materials unsuitable for consumption or processing",
    "020705": "020705 - Sludges from on-site effluent treatment",
    "020799": "020799 - Wastes not otherwise specified",
    "03": "03 - Wastes from wood processing and the production of panels and furniture, pulp, paper and cardboard",
    "0301": "0301 - Wastes from wood processing and the production of panels and furniture",
    "030101": "030101 - Waste bark and cork",
    "030104": "030104 - Sawdust, shavings, cuttings, wood, particle board and veneer containing hazardous substances",
    "030105": "030105 - Sawdust, shavings, cuttings, wood, particle board and veneer other than those mentioned in 03 01 04",
    "030199": "030199 - Wastes not otherwise specified",
    "0302": "0302 - Wastes from wood preservation",
    "030201": "030201 - Non-halogenated organic wood preservatives",
    "030202": "030202 - Organochlorinated wood preservatives",
    "030203": "030203 - Organometallic wood preservatives",
    "030204": "030204 - Inorganic wood preservatives",
    "030205": "030205 - Other wood preservatives containing hazardous substances",
    "030299": "030299 - Wood preservatives not otherwise specified",
    "0303": "0303 - Wastes from pulp, paper and cardboard production and processing",
    "030301": "030301 - Waste bark and wood",
    "030302": "030302 - Green liquor sludge (from recovery of cooking liquor)",
    "030305": "030305 - De-inking sludges from paper recycling",
    "030307": "030307 - Mechanically separated rejects from pulping of waste paper and cardboard",
    "030308": "030308 - Wastes from sorting of paper and cardboard destined for recycling",
    "030309": "030309 - Lime mud waste",
    "030310": "030310 - Fibre rejects, fibre-, filler- and coating-sludges from mechanical separation",
    "030311": "030311 - Sludges from on-site effluent treatment other than those mentioned in 03 03 10",
    "030399": "030399 - Wastes not otherwise specified",
    "04": "04 - Wastes from the leather, fur and textile industries",
    "0401": "0401 - Wastes from the leather and fur industry",
    "040101": "040101 - Fleshings and lime split wastes",
    "040102": "040102 - Liming waste",
    "040103": "040103 - Degreasing wastes containing solvents without a liquid phase",
    "040104": "040104 - Tanning liquor containing chromium",
    "040105": "040105 - Tanning liquor free of chromium",
    "040106": "040106 - Sludges, in particular from on-site effluent treatment containing chromium",
    "040107": "040107 - Sludges, in particular from on-site effluent treatment free of chromium",
    "040108": "040108 - Waste tanned leather (blue sheetings, shavings, cuttings, buffing dust) containing chromium",
    "040109": "040109 - Wastes from dressing and finishing",
    "040199": "040199 - Wastes not otherwise specified",
    "0402": "0402 - Wastes from the textile industry",
    "040209": "040209 - Wastes from composite materials (impregnated textile, elastomer, plastomer)",
    "040210": "040210 - Organic matter from natural products (for example grease, wax)",
    "040214": "040214 - Wastes from finishing containing organic solvents",
    "040215": "040215 - Wastes from finishing other than those mentioned in 04 02 14",
    "040216": "040216 - Dyestuffs and pigments containing hazardous substances",
    "040217": "040217 - Dyestuffs and pigments other than those mentioned in 04 02 16",
    "040219": "040219 - Sludges from on-site effluent treatment containing hazardous substances",
    "040220": "040220 - Sludges from on-site effluent treatment other than those mentioned in 04 02 19",
    "040221": "040221 - Wastes from unprocessed textile fibres",
    "040222": "040222 - Wastes from processed textile fibres",
    "040299": "040299 - Wastes not otherwise specified",
    "05": "05 - Wastes from petroleum refining, natural gas purification and pyrolytic treatment of coal",
    "0501": "0501 - Wastes from petroleum refining",
    "050102": "050102 - Desalter sludges",
    "050103": "050103 - Tank bottom sludges",
    "050104": "050104 - Acid alkyl sludges",
    "050105": "050105 - Oil spills",
    "050106": "050106 - Oily sludges from maintenance operations of the plant or equipment",
    "050107": "050107 - Acid tars",
    "050108": "050108 - Other tars",
    "050109": "050109 - Sludges from on-site effluent treatment containing hazardous substances",
    "050110": "050110 - Sludges from on-site effluent treatment other than those mentioned in 05 01 09",
    "050111": "050111 - Wastes from cleaning of fuels with bases",
    "050112": "050112 - Oil containing acids",
    "050113": "050113 - Boiler feedwater sludges",
    "050114": "050114 - Wastes from cooling columns",
    "050115": "050115 - Spent filter clays",
    "050116": "050116 - Sulphur-containing wastes from petroleum desulphurisation",
    "050117": "050117 - Bitumen",
    "050199": "050199 - Wastes not otherwise specified",
    "0506": "0506 - Wastes from the pyrolytic treatment of coal",
    "050601": "050601 - Acid tars",
    "050603": "050603 - Other tars",
    "050604": "050604 - Waste from cooling columns",
    "050699": "050699 - Wastes not otherwise specified",
    "0507": "0507 - Wastes from natural gas purification and transportation",
    "050701": "050701 - Wastes containing mercury",
    "050702": "050702 - Wastes containing sulphur",
    "050799": "050799 - Wastes not otherwise specified",
    "06": "06 - Wastes from inorganic chemical processes",
    "0601": "0601 - Wastes from the manufacture, formulation, supply and use (mfsu) of acids",
    "060101": "060101 - Sulphuric acid and sulphurous acid",
    "060102": "060102 - Hydrochloric acid",
    "060103": "060103 - Hydrofluoric acid",
    "060104": "060104 - Phosphoric and phosphorous acid",
    "060105": "060105 - Nitric acid and nitrous acid",
    "060106": "060106 - Other acids",
    "060199": "060199 - Wastes not otherwise specified",
    "0602": "0602 - Wastes from the mfsu of bases",
    "060201": "060201 - Calcium hydroxide",
    "060203": "060203 - Ammonium hydroxide",
    "060204": "060204 - Sodium and potassium hydroxide",
    "060205": "060205 - Other bases",
    "060299": "060299 - Wastes not otherwise specified",
    "0603": "0603 - Wastes from the mfsu of salts and their solutions and metallic oxides",
    "060311": "060311 - Solid salts and solutions containing cyanides",
    "060313": "060313 - Solid salts and solutions containing heavy metals",
    "060314": "060314 - Solid salts and solutions other than those mentioned in 06 03 11 and 06 03 13",
    "060315": "060315 - Metallic oxides containing heavy metals",
    "060316": "060316 - Metallic oxides other than those mentioned in 06 03 15",
    "060399": "060399 - Wastes not otherwise specified",
    "0604": "0604 - Metal-containing wastes other than those mentioned in 06 03",
    "060403": "060403 - Wastes containing arsenic",
    "060404": "060404 - Wastes containing mercury",
    "060405": "060405 - Wastes containing other heavy metals",
    "060499": "060499 - Wastes not otherwise specified",
    "0605": "0605 - Sludges from on-site effluent treatment",
    "060502": "060502 - Sludges from on-site effluent treatment containing hazardous substances",
    "060503": "060503 - Sludges from on-site effluent treatment other than those mentioned in 06 05 02",
    "0606": "0606 - Wastes from the mfsu of sulphur chemicals, sulphur chemical processes and desulphurisation processes",
    "060602": "060602 - Wastes containing hazardous sulphides",
    "060603": "060603 - Wastes containing sulphides other than those mentioned in 06 06 02",
    "060699": "060699 - Wastes not otherwise specified",
    "0607": "0607 - Wastes from the mfsu of halogens and halogen chemical processes",
    "060701": "060701 - Wastes containing asbestos from electrolysis",
    "060702": "060702 - Activated carbon from chlorine production",
    "060703": "060703 - Barium sulphate sludge containing mercury",
    "060704": "060704 - Solutions and acids, for example contact acid",
    "060799": "060799 - Wastes not otherwise specified",
    "0608": "0608 - Wastes from the mfsu of silicon and silicon derivatives",
    "060802": "060802 - Waste containing hazardous chlorosilanes",
    "060899": "060899 - Wastes not otherwise specified",
    "0609": "0609 - Wastes from the msfu of phosphorous chemicals and phosphorous chemical processes",
    "060902": "060902 - Phosphorous slag",
    "060903": "060903 - Calcium-based reaction wastes containing or contaminated with hazardous substances",
    "060904": "060904 - Calcium-based reaction wastes other than those mentioned in 06 09 03",
    "060999": "060999 - Wastes not otherwise specified",
    "0610": "0610 - Wastes from the mfsu of nitrogen chemicals, nitrogen chemical processes and fertiliser manufacture",
    "061002": "061002 - Wastes containing hazardous substances",
    "061099": "061099 - Wastes not otherwise specified",
    "0611": "0611 - Wastes from the manufacture of inorganic pigments and opacificiers",
    "061101": "061101 - Calcium-based reaction wastes from titanium dioxide production",
    "061199": "061199 - Wastes not otherwise specified",
    "0613": "0613 - Wastes from inorganic chemical processes not otherwise specified",
    "061301": "061301 - Inorganic plant protection products, wood-preserving agents and other biocides.",
    "061302": "061302 - Spent activated carbon (except 06 07 02)",
    "061303": "061303 - Carbon black",
    "061304": "061304 - Wastes from asbestos processing",
    "061305": "061305 - Soot",
    "061399": "061399 - Wastes not otherwise specified",
    "07": "07 - Wastes from organic chemical processes",
    "0701": "0701 - Wastes from the manufacture, formulation, supply and use (mfsu) of basic organic chemicals",
    "070101": "070101 - Aqueous washing liquids and mother liquors",
    "070103": "070103 - Organic halogenated solvents, washing liquids and mother liquors",
    "070104": "070104 - Other organic solvents, washing liquids and mother liquors",
    "070107": "070107 - Halogenated still bottoms and reaction residues",
    "070108": "070108 - Other still bottoms and reaction residues",
    "070109": "070109 - Halogenated filter cakes and spent absorbents",
    "070110": "070110 - Other filter cakes and spent absorbents",
    "070111": "070111 - Sludges from on-site effluent treatment containing hazardous substances",
    "070112": "070112 - Sludges from on-site effluent treatment other than those mentioned in 07 01 11",
    "070199": "070199 - Wastes not otherwise specified",
    "0702": "0702 - Wastes from the mfsu of plastics, synthetic rubber and man-made fibres",
    "070201": "070201 - Aqueous washing liquids and mother liquors",
    "070203": "070203 - Organic halogenated solvents, washing liquids and mother liquors",
    "070204": "070204 - Other organic solvents, washing liquids and mother liquors",
    "070207": "070207 - Halogenated still bottoms and reaction residues",
    "070208": "070208 - Other still bottoms and reaction residues",
    "070209": "070209 - Halogenated filter cakes and spent absorbents",
    "070210": "070210 - Other filter cakes and spent absorbents",
    "070211": "070211 - Sludges from on-site effluent treatment containing hazardous substances",
    "070212": "070212 - Sludges from on-site effluent treatment other than those mentioned in 07 02 11",
    "070213": "070213 - Waste plastic",
    "070214": "070214 - Wastes from additives containing hazardous substances",
    "070215": "070215 - Wastes from additives other than those mentioned in 07 02 14",
    "070216": "070216 - Waste containing hazardous silicones",
    "070217": "070217 - Waste containing silicones other than those mentioned in 07 02 16",
    "070299": "070299 - Wastes not otherwise specified",
    "0703": "0703 - Wastes from the mfsu of organic dyes and pigments (except 06 11)",
    "070301": "070301 - Aqueous washing liquids and mother liquors",
    "070303": "070303 - Organic halogenated solvents, washing liquids and mother liquors",
    "070304": "070304 - Other organic solvents, washing liquids and mother liquors",
    "070307": "070307 - Halogenated still bottoms and reaction residues",
    "070308": "070308 - Other still bottoms and reaction residues",
    "070309": "070309 - Halogenated filter cakes and spent absorbents",
    "070310": "070310 - Other filter cakes and spent absorbents",
    "070311": "070311 - Sludges from on-site effluent treatment containing hazardous substances",
    "070312": "070312 - Sludges from on-site effluent treatment other than those mentioned in 07 03 11",
    "070399": "070399 - Wastes not otherwise specified",
    "0704": "0704 - Wastes from the mfsu of organic plant protection products (except 02 01 08 and 02 01 09), wood preserving agents (except 03 02) and other biocides",
    "070401": "070401 - Aqueous washing liquids and mother liquors",
    "070403": "070403 - Organic halogenated solvents, washing liquids and mother liquors",
    "070404": "070404 - Other organic solvents, washing liquids and mother liquors",
    "070407": "070407 - Halogenated still bottoms and reaction residues",
    "070408": "070408 - Other still bottoms and reaction residues",
    "070409": "070409 - Halogenated filter cakes and spent absorbents",
    "070410": "070410 - Other filter cakes and spent absorbents",
    "070411": "070411 - Sludges from on-site effluent treatment containing hazardous substances",
    "070412": "070412 - Sludges from on-site effluent treatment other than those mentioned in 07 04 11",
    "070413": "070413 - Solid wastes containing hazardous substances",
    "070499": "070499 - Wastes not otherwise specified",
    "0705": "0705 - Wastes from the mfsu of pharmaceuticals",
    "070501": "070501 - Aqueous washing liquids and mother liquors",
    "070503": "070503 - Organic halogenated solvents, washing liquids and mother liquors",
    "070504": "070504 - Other organic solvents, washing liquids and mother liquors",
    "070507": "070507 - Halogenated still bottoms and reaction residues",
    "070508": "070508 - Other still bottoms and reaction residues",
    "070509": "070509 - Halogenated filter cakes and spent absorbents",
    "070510": "070510 - Other filter cakes and spent absorbents",
    "070511": "070511 - Sludges from on-site effluent treatment containing hazardous substances",
    "070512": "070512 - Sludges from on-site effluent treatment other than those mentioned in 07 05 11",
    "070513": "070513 - Solid wastes containing hazardous substances",
    "070514": "070514 - Solid wastes other than those mentioned in 07 05 13",
    "070599": "070599 - Wastes not otherwise specified",
    "0706": "0706 - Wastes from the mfsu of fats, grease, soaps, detergents, disinfectants and cosmetics",
    "070601": "070601 - Aqueous washing liquids and mother liquors",
    "070603": "070603 - Organic halogenated solvents, washing liquids and mother liquors",
    "070604": "070604 - Other organic solvents, washing liquids and mother liquors",
    "070607": "070607 - Halogenated still bottoms and reaction residues",
    "070608": "070608 - Other still bottoms and reaction residues",
    "070609": "070609 - Halogenated filter cakes and spent absorbents",
    "070610": "070610 - Other filter cakes and spent absorbents",
    "070611": "070611 - Sludges from on-site effluent treatment containing hazardous substances",
    "070612": "070612 - Sludges from on-site effluent treatment other than those mentioned in 07 06 11",
    "070699": "070699 - Wastes not otherwise specified",
    "0707": "0707 - Wastes from the mfsu of fine chemicals and chemical products not otherwise specified",
    "070701": "070701 - Aqueous washing liquids and mother liquors",
    "070703": "070703 - Organic halogenated solvents, washing liquids and mother liquors",
    "070704": "070704 - Other organic solvents, washing liquids and mother liquors",
    "070707": "070707 - Halogenated still bottoms and reaction residues",
    "070708": "070708 - Other still bottoms and reaction residues",
    "070709": "070709 - Halogenated filter cakes and spent absorbents",
    "070710": "070710 - Other filter cakes and spent absorbents",
    "070711": "070711 - Sludges from on-site effluent treatment containing hazardous substances",
    "070712": "070712 - Sludges from on-site effluent treatment other than those mentioned in 07 07 11",
    "070799": "070799 - Wastes not otherwise specified",
    "08": "08 - Wastes from the manufacture, formulation, supply and use (mfsu) of coatings (paints, varnishes and vitreous enamels), adhesives, sealants and printing inks",
    "0801": "0801 - Wastes from mfsu and removal of paint and varnish",
    "080111": "080111 - Waste paint and varnish containing organic solvents or other hazardous substances",
    "080112": "080112 - Waste paint and varnish other than those mentioned in 08 01 11",
    "080113": "080113 - Sludges from paint or varnish containing organic solvents or other hazardous substances",
    "080114": "080114 - Sludges from paint or varnish other than those mentioned in 08 01 13",
    "080115": "080115 - Aqueous sludges containing paint or varnish containing organic solvents or other hazardous substances",
    "080116": "080116 - Aqueous sludges containing paint or varnish other than those mentioned in 08 01 15",
    "080117": "080117 - Wastes from paint or varnish removal containing organic solvents or other hazardous substances",
    "080118": "080118 - Wastes from paint or varnish removal other than those mentioned in 08 01 17",
    "080119": "080119 - Aqueous suspensions containing paint or varnish containing organic solvents or other hazardous substances",
    "080120": "080120 - Aqueous suspensions containing paint or varnish other than those mentioned in 08 01 19",
    "080121": "080121 - Waste paint or varnish remover",
    "080199": "080199 - Wastes not otherwise specified",
    "0802": "0802 - Wastes from mfsu of other coatings (including ceramic materials)",
    "080201": "080201 - Waste coating powders",
    "080202": "080202 - Aqueous sludges containing ceramic materials",
    "080203": "080203 - Aqueous suspensions containing ceramic materials",
    "080299": "080299 - Wastes not otherwise specified",
    "0803": "0803 - Wastes from mfsu of printing inks",
    "080307": "080307 - Aqueous sludges containing ink",
    "080308": "080308 - Aqueous liquid waste containing ink",
    "080312": "080312 - Waste ink containing hazardous substances",
    "080313": "080313 - Waste ink other than those mentioned in 08 03 12",
    "080314": "080314 - Ink sludges containing hazardous substances",
    "080315": "080315 - Ink sludges other than those mentioned in 08 03 14",
    "080316": "080316 - Waste etching solutions",
    "080317": "080317 - Waste printing toner containing hazardous substances",
    "080318": "080318 - Waste printing toner other than those mentioned in 08 03 17",
    "080319": "080319 - Disperse oil",
    "080399": "080399 - Wastes not otherwise specified",
    "0804": "0804 - Wastes from mfsu of adhesives and sealants (including waterproofing products)",
    "080409": "080409 - Waste adhesives and sealants containing organic solvents or other hazardous substances",
    "080410": "080410 - Waste adhesives and sealants other than those mentioned in 08 04 09",
    "080411": "080411 - Adhesive and sealant sludges containing organic solvents or other hazardous substances",
    "080412": "080412 - Adhesive and sealant sludges other than those mentioned in 08 04 11",
    "080413": "080413 - Aqueous sludges containing adhesives or sealants containing organic solvents or other hazardous substances",
    "080414": "080414 - Aqueous sludges containing adhesives or sealants other than those mentioned in 08 04 13",
    "080415": "080415 - Aqueous liquid waste containing adhesives or sealants containing organic solvents or other hazardous substances",
    "080416": "080416 - Aqueous liquid waste containing adhesives or sealants other than those mentioned in 08 04 15",
    "080417": "080417 - Rosin oil",
    "080499": "080499 - Wastes not otherwise specified",
    "0805": "0805 - Wastes not otherwise specified in 08",
    "080501": "080501 - Waste isocyanates",
    "09": "09 - Wastes from the photographic industry",
    "0901": "0901 - Wastes from the photographic industry",
    "090101": "090101 - Water-based developer and activator solutions",
    "090102": "090102 - Water-based offset plate developer solutions",
    "090103": "090103 - Solvent-based developer solutions",
    "090104": "090104 - Fixer solutions",
    "090105": "090105 - Bleach solutions and bleach fixer solutions",
    "090106": "090106 - Wastes containing silver from on-site treatment of photographic wastes",
    "090107": "090107 - Photographic film and paper containing silver or silver compounds",
    "090108": "090108 - Photographic film and paper free of silver or silver compounds",
    "090110": "090110 - Single-use cameras without batteries",
    "090111": "090111 - Single-use cameras containing batteries included in 16 06 01, 16 06 02 or 16 06 03",
    "090112": "090112 - Single-use cameras containing batteries other than those mentioned in 09 01 11",
    "090113": "090113 - Aqueous liquid waste from on-site reclamation of silver other than those mentioned in 09 01 06",
    "090199": "090199 - Wastes not otherwise specified",
}