/**
 * wastes.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package constants

import (
	"errors"
	"strings"
)

var (
	errInvalidTypeRead		= errors.New("invalid asset type reading")
	errInvalidType			= errors.New("invalid asset type")
)

func  NormalizeCode(code string) string {
	return strings.ReplaceAll(strings.ReplaceAll(code, " ", ""), "*", "")
}

func Exists(code string) bool {
	_, ok := WasteTypes[NormalizeCode(code)]

	return ok
}

func GetLabel(code string) (string, error) {
	label, ok := WasteTypes[NormalizeCode(code)]

	if !ok {
		return "", errInvalidType
	}
	return label, nil
}