/**
 * states.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package controller

import (
	"git.code.tecnalia.com/ledgerbuilder/sdk/core/api"
	"git.code.tecnalia.com/ledgerbuilder/sdk/core/fabric/protos"
	"git.code.tecnalia.com/ledgerbuilder/sdk/shared"

	pc "git.code.tecnalia.com/blockchain/hypercog/constants"
	"git.code.tecnalia.com/traceblock/sdk/constants"
)

var (
	StatusList = []constants.DisplayableElement{}
)


func init() {
	for k, v := range pc.ValidStatuses {
		StatusList = append(StatusList, constants.DisplayableElement{Id: k, Label: v})
	}
}

// get the list of allowed asset states values as a format understandable by vue-select
func GetAssetAllowedStates(stub shared.LedgerBuildrStubInterface, request shared.LedgerBuildrAsset) protos.Response {
	return api.NewAPIGenericResponsePtr("GetAssetAllowedStates", nil, StatusList).SendResponse()
}