/**
 * types.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package controller

import (
	"sort"

	"git.code.tecnalia.com/ledgerbuilder/sdk/core/api"
	"git.code.tecnalia.com/ledgerbuilder/sdk/core/fabric/protos"
	"git.code.tecnalia.com/ledgerbuilder/sdk/shared"

	pc "git.code.tecnalia.com/blockchain/hypercog/constants"
	"git.code.tecnalia.com/traceblock/sdk/constants"
)

// get the list of allowed asset types values as a format understandable by vue-select
func GetAssetTypesList(stub shared.LedgerBuildrStubInterface, request shared.LedgerBuildrAsset) protos.Response {
	tpes := []constants.DisplayableElement{}

	for key, element := range pc.WasteTypes {
		tpes = append(tpes, constants.DisplayableElement{Id: key, Label: element})
	}

	sort.Sort(constants.ById(tpes))

	return api.NewAPIGenericResponsePtr("GetAssetTypesList", nil, tpes).SendResponse()
}