/**
 * main.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package main

import (
	"git.code.tecnalia.com/ledgerbuilder/sdk/core/common"
	"git.code.tecnalia.com/ledgerbuilder/sdk/core/config/data"
	"git.code.tecnalia.com/ledgerbuilder/sdk/core/dispatcher"
	"git.code.tecnalia.com/ledgerbuilder/sdk/shared"

	"git.code.tecnalia.com/blockchain/hypercog/controller"
)

const (
	defaultContractConfig = `{
	"context_id": 0,
	"chaincode_name": "hypercog-cc",
	"features": {
		"force_lowercase_ids": true,
		"generate_abi": false,
		"bleve_indexing": false,
		"acl": true,
		"model_validation": true,
		"peer_response_logging": true,
		"key_split": false,
		"abi_generation": false,
		"autogen_crud_models": false,
		"unique_asset_assignment": true,
		"core_functions": false
	},
	"membership": {
		"use_admin_msp": false,
		"admin_msp_list": [],
		"non_admin_msp_list": []
	},
	"runtime": {
		"test_environment": false,
		"production_mode": true,
		"state_provider_id": 0
	},
	"middlewares": {
		"analytics_middleware_enabled": false,
		"analytics_middleware_id": "",
		"daemon_middleware_enabled": false,
		"daemon_middleware_id": ""
	}
}`
)

func NewTraceblockContextLoader() (shared.LedgerBuildrContextInterface, error) {
	return shared.NewBaseContext(
		defaultContractConfig,
		controller.ContextOperations,
		dispatcher.NewChaincodeRunner,
		data.DefaultConfigurator,
		common.InjectCoreFunctions,
	)
}

func main() {
	shared.InternalContextInit(NewTraceblockContextLoader)
}
