/**
 * type_test.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package middleware

import (
	"testing"
	"git.code.tecnalia.com/traceblock/sdk/model"
)

// go test -v middleware/*

func TestCheckType(t *testing.T) {
	t.Run("valid", testCheckTypeValid)
	t.Run("unset", testCheckTypeUnset)
	t.Run("invalid", testCheckTypeInvalid)
}

func testCheckTypeValid(t *testing.T) {
	traceableAsset :=  model.NewTraceableAsset()
	traceableAsset.AssetType = "01 03 07"

	_, err := _rejectIfInvalidType(nil, nil, nil, traceableAsset)
	if err != nil {
		t.Errorf("unexpected error %v", err)
	}
}

func testCheckTypeUnset(t *testing.T) {
	traceableAsset :=  model.NewTraceableAsset()

	_, err := _rejectIfUnsetOrInvalidType(nil, nil, nil, traceableAsset)
	if err == nil {
		t.Errorf("expecting error")
	}

	_, err = _rejectIfInvalidType(nil, nil, nil, traceableAsset)
	if err != nil {
		t.Errorf("unexpected error %v", err)
	}
}

func testCheckTypeInvalid(t *testing.T) {
	traceableAsset :=  model.NewTraceableAsset()
	traceableAsset.AssetType = "01 03 071"

	_, err := _rejectIfInvalidType(nil, nil, nil, traceableAsset)
	if err == nil {
		t.Errorf("expecting error %v", err)
	}
}