/**
 * bid.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2022.
 */

package model

type BidStatus string

const (
	Proposed = "proposed"
	Accepted = "accepted"
	Rejected = "rejected"
)

type Bidder struct {
	Id	 	string `json:"id"`
	Role	string `json:"role"`
	Org		string `json:"org"`
}

type Bid struct {
	// Not renaming any of these fields in json to make mapstructure.decode work
	Quantity    uint32		`json:"quantity"`
	Price   	float32		`json:"price"`
	Bidder	 	Bidder		`json:"bidder"`
	Status	 	BidStatus	`json:"status"`
}
