/**
 * common.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2022.
 */

package stats

type PercentageMetric struct {
	Total float64 `json:"total"` // in tons
	Percentage float64 `json:"percentage,omitempty"` // in %
}

type SummaryMetric struct {
	Minimum float64 `json:"min"`
	Maximum float64 `json:"max"`
	Average float64 `json:"avg"`
}

// Generic raw stats
type RawStats struct {
	TotalSlag float64 `json:"total"` // in tons
	TotalPrice float64 `json:"totalPrice"` // in €
	SoldBatches uint32 `json:"soldBatches"` // in units
	MinPrice float64 `json:"minPrice"` // in €
	MaxPrice float64 `json:"maxPrice"` // in €
}

func toTons(quantity uint32, units string) (float64) {
	amount := float64(quantity)
	if units == "kg" {
		amount /= 1000.0
	}
	return amount
}
