# COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
#! /bin/bash

source ../config.sh

declare -A confs
confs=(
  [%%NETWORK_NAME%%]=$NETWORK_NAME
  [%%CHANNEL_NAME%%]=$CHANNEL_NAME
  [%%CHAINCODE_NAME%%]=$CHAINCODE_NAME
)

fillTemplate() {
	if [ -z $2 ]
	then
		echo "Missing source and destination files. They should be passed as arguments"
		return
	fi

	destinationFile=$2
	cp $1 $destinationFile

	for i in "${!confs[@]}"
	do
		search=$i
		replace=${confs[$i]}
		sed -i "s/${search}/${replace}/g" $destinationFile
	done
}


mkdir -p vars/connection-profiles
cp config/.env vars/.env
cp "../network/vars/profiles/${CHANNEL_NAME}_connection_for_gosdk.yaml" vars/connection-profiles/minifab.yaml

fillTemplate "config/blockchain.tpl.json" "vars/blockchain.json"
fillTemplate "config/docker-compose.tpl.yaml" "docker-compose.yaml"

echo -e "\nApps correctly configured, run them with:\n\n\t\tdocker-compose up -d\n"