# Create sample users for organizations

## Configuration

Edit admin users and users to be created in _users.json_.
You can provide connection details and admin passwords in _.env_ (you can use _sample.env_ as a template).

### Create/update users with the API

The script _config_users.js_ will take care of creating the necessary users in all the organizations.

```bash
npm run users
# or node config-users.js api
```

### Create/update users with the SDK

We must use this version to create users with a customized affiliation.

```bash
npm run users-sdk
# or node config-users.js sdk
```

**Note**: By default Fabric only defines [3 affiliations](https://hyperledger-fabric-ca.readthedocs.io/en/release-1.4/deployguide/ca-config.html#affiliations) and admins belong to _org1.department1_ (which means that they can only create subaffiliations).
Since I didn't learn how to modify them in Minifab, new affiliations are prefixed by this prefix making it ugly and confusing :(
